LXRAD 0.7

Data Structures | Functions
mstring.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`

Go to the source code of this file.

## Data Structures
class | lxStringList

## Functions
lxString | xml_out (lxString name, lxString type, lxString value)
void | xml_in (lxString data, lxString &name, lxString &type, lxString &value)
lxString | eqparse (lxString &str, lxString &arg)
lxString | LocaleToUtf8 (const lxString str)
lxString | LocaleFromUtf8 (const lxString str)
lxString | strndel (const lxString &str, uint n)
lxString | strnadd (const lxString &str, char c, uint n)
int | atoi (const lxString &str)
float | atof (const lxString &str)
bool | atob (const lxString &str)
lxString | itoa (int n, const lxString &format=wxT("%i"))
lxString | itoa (uint n, const lxString &format=wxT("%u"))
lxString | itoa (long n, const lxString &format=wxT("%li"))
lxString | ftoa (float f, const lxString &format=wxT("%f"))
lxString | btoa (bool b)
lxString | uppercase (const lxString &str)
lxString | lowercase (const lxString &str)
lxString | basename (const lxString &str)
lxString | dirname (const lxString &str)
bool | fgetline (wxTextFile &file, lxString &str)
void | mprint (lxString str)
void | eprint (lxString str)

## Detailed Description

Author
  Luis Claudio Gamboa Lopes

Date
  05-30-2008

Definition in file mstring.h.

## Function Documentation

## ◆ lowercase()

lxString lowercase | ( | const lxString & | str | ) |

Set lowercase string.

Parameters

  str | string.

Returns
  lowercase string.

## ◆ uppercase()

lxString uppercase | ( | const lxString & | str | ) |

Set uppercase string.

Parameters

  str | string.

Returns
  uppercase string.